// ra"cunanje pi z vrsto
// faktor moramo ra"cunati za vsako iteracijo zanke posebej (rezultat narobe)

#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include "omp.h"

#define N 1000000

int main(void)
{
	double pi;
	int i, factor;

	pi = 0;
	factor = 1;
	#pragma omp parallel for 
	for(i=0; i<N; i++)
	{
		if(i%2==0)
			factor=1;
		else
			factor=-1;
		pi += 4.0*factor/(2*i+1);
	}

	printf("pi=%lf\n", pi);

	return 0;
}
